{% extends 'admin/base.html' %}

{% block head_meta %}
  <meta http-equiv="Cache-Control" content="no-cache, no-store, must-revalidate" />
  <meta http-equiv="Pragma" content="no-cache" />
  <meta http-equiv="Expires" content="0" />
  {{ super() }}
{% endblock head_meta %}

{% block head_css %}
  <!--suppress SpellCheckingInspection, JSUnresolvedLibraryURL -->
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css" integrity="sha512-1ycn6IcaQQ40/MKBW2W4Rhis/DbILU74C1vSrLJxCq57o941Ym01SwNsOMqvEBFlcgUa6xLiPY/NS5R+E6ztJQ==" crossorigin="anonymous" referrerpolicy="no-referrer" />
  {{ super() }}
  <link rel="stylesheet" href="https://cfmm.gitlab.io/web/bootstrap-dark/0.1.0/bootstrap-dark.min.css" crossorigin="anonymous" referrerpolicy="no-referrer" type="text/css">
  <link href="{{ url_for('cfmm.static', filename='cfmm/css/flask_cfmm.css') }}" rel="stylesheet">
{% endblock %}

{# Append a loading-screen element #}
{% block page_body %}
  <div class="container{% if config.get('FLASK_ADMIN_FLUID_LAYOUT', False) %}-fluid{% endif %} px-0">
    <nav class="navbar navbar-expand-lg navbar-dark bg-primary mb-2" role="navigation">
      {% block brand %}
        <a class="navbar-brand" href="{{ admin_view.admin.url }}">{{ admin_view.admin.name }}</a>
      {% endblock %}
      <!-- Brand and toggle get grouped for better mobile display -->
      <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#admin-navbar-collapse"
              aria-controls="admin-navbar-collapse" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>
      <!-- navbar content -->
      <div class="collapse navbar-collapse" id="admin-navbar-collapse">
        {% block main_menu %}
          <ul class="navbar-nav mr-auto">
            {{ layout.menu() }}
          </ul>
        {% endblock %}

        {% block menu_links %}
          <ul class="nav navbar-nav navbar-right">
            {{ layout.menu_links() }}
          </ul>
        {% endblock %}
        {% block access_control %}
          <ul class="nav navbar-nav pull-right">
            <li class="dropdown">
              <button class="btn btn-secondary dropdown-toggle" type="button" id="dropdownMenuButton"
                      data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                {% if current_user.is_authenticated %}
                  <span class="fa fa-user"></span> {{ current_user.username }}
                {% else %}
                  <span class="fa fa-user"></span> {{ _('User') }}
                {% endif %}
              </button>
              <div class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdownMenuButton">
              {% block access_control_dropdown %}
                {% if current_user.is_authenticated %}
                  <a class="dropdown-item" href="{{ url_for('security.logout') }}">{{ _('Log out') }}</a>
                {% else %}
                  <a class="dropdown-item" href="{{ url_for('security.login') }}">{{ _('Log in') }}</a>
                  {% if security.registerable %}
                    <a class="dropdown-item" href="{{ url_for_security('register') }}{% if 'next' in request.args %}?next={{ request.args.next|urlencode }}{% endif %}">{{ _('Register') }}</a>
                  {% endif %}
                  {% if security.recoverable %}
                    <a class="dropdown-item" href="{{ url_for_security('forgot_password') }}">{{ _('Forgot password') }}</a>
                  {% endif %}
                  {% if security.confirmable %}
                    <a class="dropdown-item" href="{{ url_for_security('send_confirmation') }}"> {{ _('Confirm account') }}</a>
                  {% endif %}
                {% endif %}
              {% endblock %}
              </div>
            </li>
          </ul>
        {% endblock %}
      </div>
    </nav>

    <div class="px-3">
      {% block messages %}
        {{ layout.messages() }}
      {% endblock %}

      {# store the jinja2 context for form_rules rendering logic #}
      {% set render_ctx = h.resolve_ctx() %}

      {% block body %}{% endblock %}
    </div>
  </div>

  <div id="loading-screen" class="justify-content-center">
    <div class="spinner-border text-primary" style="width: 5rem; height: 5rem;" role="status">
      <span class="sr-only">Loading...</span>
    </div>
  </div>
{% endblock %}

{% block tail_js %}
  {{ super() }}
  <script src="{{ url_for('cfmm.static', filename='cfmm/js/flask_cfmm.js') }}"></script>
  {{ moment.include_moment() }}
{% endblock %}
